<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/recipes/recipes/expansionpairkeywithmasterkey.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d80/a02756_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionpairkeywithmasterkey.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d80/a02756.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionPairKeyWithMasterKey.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/d84/a00001.html">   13</a></span><span class="comment">/**@class       ExpansionPairKeyWithMasterKey</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       </span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d84/a00001.html#d1/d8b/a08454">ExpansionPairKeyWithMasterKey</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d5e/a03542.html">RecipeBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d4/d5e/a03542.html#ac57012907715de1452f577c9693805bc">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d5e/a03542.html#ac57012907715de1452f577c9693805bc">Init</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_Name = <span class="stringliteral">&quot;#STR_EXPANSION_PAIR_KEY&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        m_IsInstaRecipe = <span class="keyword">false</span>;<span class="comment">//should this recipe be performed instantly without animation</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        m_AnimationLength = 0.3;<span class="comment">//animation length in relative time units</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_Specialty = -0.02;<span class="comment">// value &gt; 0 for roughness, value &lt; 0 for precision     </span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="comment">//conditions</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_MinDamageIngredient[0] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_MaxDamageIngredient[0] = 3;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_MinQuantityIngredient[0] = 1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_MaxQuantityIngredient[0] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_MinDamageIngredient[1] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_MaxDamageIngredient[1] = 3;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_MinQuantityIngredient[1] = 1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_MaxQuantityIngredient[1] = -1;<span class="comment">//-1 = disable check</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="comment">//----------------------------------------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="comment">//INGREDIENTS</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="comment">//ingredient 1</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        InsertIngredient(0,<span class="stringliteral">&quot;ExpansionCarKey&quot;</span>);<span class="comment">//you can insert multiple ingredients this way</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        m_IngredientAddHealth[0] = 0;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        m_IngredientSetHealth[0] = -1; <span class="comment">// -1 = do nothing</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        m_IngredientAddQuantity[0] = 0;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        m_IngredientDestroy[0] = <span class="keyword">false</span>;<span class="comment">//true = destroy, false = do nothing</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        m_IngredientUseSoftSkills[0] = <span class="keyword">false</span>;<span class="comment">// set &#39;true&#39; to allow modification of the values by softskills on this ingredient</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="comment">//ingredient 2</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        InsertIngredient(1,<span class="stringliteral">&quot;ExpansionCarKey&quot;</span>);<span class="comment">//you can insert multiple ingredients this way        </span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        m_IngredientAddHealth[1] = 0;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        m_IngredientSetHealth[1] = -1; <span class="comment">// -1 = do nothing</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        m_IngredientAddQuantity[1] = 0;<span class="comment">// 0 = do nothing</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        m_IngredientDestroy[1] = <span class="keyword">false</span>;<span class="comment">// false = do nothing</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        m_IngredientUseSoftSkills[1] = <span class="keyword">false</span>;<span class="comment">// set &#39;true&#39; to allow modification of the values by softskills on this ingredient</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="comment">//----------------------------------------------------------------------------------------------------------------------</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="comment">//result1</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        m_ResultSetFullQuantity[0] = <span class="keyword">false</span>;<span class="comment">//true = set full quantity, false = do nothing</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        m_ResultSetQuantity[0] = 1;<span class="comment">//-1 = do nothing</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        m_ResultSetHealth[0] = -1;<span class="comment">//-1 = do nothing</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        m_ResultInheritsHealth[0] = -1;<span class="comment">// (value) == -1 means do nothing; a (value) &gt;= 0 means this result will inherit health from ingredient number (value);(value) == -2 means this result will inherit health from all ingredients averaged(result_health = combined_health_of_ingredients / number_of_ingredients)</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        m_ResultInheritsColor[0] = -1;<span class="comment">// (value) == -1 means do nothing; a (value) &gt;= 0 means this result classname will be a composite of the name provided in AddResult method and config value &quot;color&quot; of ingredient (value)</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        m_ResultToInventory[0] = 0;<span class="comment">//(value) == -2 spawn result on the ground;(value) == -1 place anywhere in the players inventory, (value) &gt;= 0 means switch position with ingredient number(value)</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        m_ResultUseSoftSkills[0] = <span class="keyword">false</span>;<span class="comment">// set &#39;true&#39; to allow modification of the values by softskills on this result</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        m_ResultReplacesIngredient[0] = -1;<span class="comment">// value == -1 means do nothing; a value &gt;= 0 means this result will transfer item propertiesvariables, attachments etc.. from an ingredient value</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../d4/d5e/a03542.html#a26f4744e99b76ecd22e386cedcf95bb7">   68</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d5e/a03542.html#a26f4744e99b76ecd22e386cedcf95bb7">CanDo</a>(<a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player)<span class="comment">//final check for recipe&#39;s validity</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <a class="code hl_class" href="../../d1/d20/a07698.html">ExpansionCarKey</a> masterkey;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <a class="code hl_class" href="../../d1/d20/a07698.html">ExpansionCarKey</a> key;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span> ( !Class.CastTo( masterkey, ingredients[0] ) ) <span class="comment">//! Is it a master key ?</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">if</span> ( !Class.CastTo( key, ingredients[1] ) ) <span class="comment">//! Is it a key ?</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">if</span> ( !masterkey.IsPaired() )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">if</span> ( !masterkey.IsMaster() )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">if</span> ( masterkey.GetMasterUses() &lt;= 0 )</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> ( key.IsPairedToMaster( masterkey ) ) <span class="comment">//! Already paired to master key?</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span> </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d4/d5e/a03542.html#a7a710eb8417a3bb99b41015d96e88a91">   94</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d5e/a03542.html#a7a710eb8417a3bb99b41015d96e88a91">Do</a>(<a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> ingredients[], <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player,array&lt;ItemBase&gt; results, <span class="keywordtype">float</span> specialty_weight)<span class="comment">//gets called upon recipe&#39;s completion</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_enumvalue" href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a>.Log(<span class="stringliteral">&quot;Recipe Do method called&quot;</span>,<span class="stringliteral">&quot;recipes&quot;</span>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <a class="code hl_class" href="../../d1/d20/a07698.html">ExpansionCarKey</a> masterkey;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_class" href="../../d1/d20/a07698.html">ExpansionCarKey</a> key;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">if</span> ( !Class.CastTo( masterkey, ingredients[0] ) ) <span class="comment">//! Is it a master key ?</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordflow">if</span> ( !Class.CastTo( key, ingredients[1] ) ) <span class="comment">//! Is it a key ?</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        key.PairWithMasterKey( masterkey );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>};</div>
<div class="ttc" id="aa00001_html_d1/d8b/a08454"><div class="ttname"><a href="../../d8/d84/a00001.html#d1/d8b/a08454">ExpansionPairKeyWithMasterKey</a></div></div>
<div class="ttc" id="aa00782_html_a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8"><div class="ttname"><a href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a></div><div class="ttdeci">@ Debug</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d96/a00782_source.html#l00247">expansionrpc.c:247</a></div></div>
<div class="ttc" id="aa03542_html"><div class="ttname"><a href="../../d4/d5e/a03542.html">RecipeBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dec/a00080_source.html#l00013">craftterritoryflagkit.c:14</a></div></div>
<div class="ttc" id="aa03542_html_a26f4744e99b76ecd22e386cedcf95bb7"><div class="ttname"><a href="../../d4/d5e/a03542.html#a26f4744e99b76ecd22e386cedcf95bb7">RecipeBase::CanDo</a></div><div class="ttdeci">override bool CanDo(ItemBase ingredients[], PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d80/a02756_source.html#l00068">expansionpairkeywithmasterkey.c:68</a></div></div>
<div class="ttc" id="aa03542_html_a7a710eb8417a3bb99b41015d96e88a91"><div class="ttname"><a href="../../d4/d5e/a03542.html#a7a710eb8417a3bb99b41015d96e88a91">RecipeBase::Do</a></div><div class="ttdeci">override void Do(ItemBase ingredients[], PlayerBase player, array&lt; ItemBase &gt; results, float specialty_weight)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d80/a02756_source.html#l00094">expansionpairkeywithmasterkey.c:94</a></div></div>
<div class="ttc" id="aa03542_html_ac57012907715de1452f577c9693805bc"><div class="ttname"><a href="../../d4/d5e/a03542.html#ac57012907715de1452f577c9693805bc">RecipeBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d80/a02756_source.html#l00018">expansionpairkeywithmasterkey.c:18</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa07698_html"><div class="ttname"><a href="../../d1/d20/a07698.html">ExpansionCarKey</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d90/a03056_source.html#l00013">expansioncaradminkey.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_569229927fbf75f638b3ecfa69fd0902.html">recipes</a></li><li class="navelem"><a class="el" href="../../dir_bbd2b11f97615f7aec6b38ece45b0560.html">recipes</a></li><li class="navelem"><a class="el" href="../../dc/d80/a02756.html">expansionpairkeywithmasterkey.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
